###############
#
# Update_IDD_generated_HTML
#
# Reformats html files that have been created by IDD so that they can be incorporated into Eclipse help systems
#
# Created by Algo MacNada
# Updated September 26, 2003, by Pam Araki
#


opendir(DIR, ".");
#print readdir(DIR);


@ListDir=readdir(DIR);

for ($i=0; $i < scalar(@ListDir); $i++) {
	$fileContents = "";
	$allContents = "";
	$currentFile=$ListDir[$i];

 	if ($currentFile =~ /\.htm/i) { 		
 		$allContents = &getAllContents($currentFile);
	 	$newhtml = "$currentFile";
		open (NEWHTML, ">$newhtml") or die "Can't create $newhtml \n";
		print NEWHTML "$allContents";
		print "Finished creating updated HTML file:    $currentFile \n";
	}
}


exit;



#########################################################################
#
# subroutine getAllContents
#
 
sub getAllContents {

	$FileInput = @_[0];

	open(FILE, "$FileInput") or die "Can't read $FileInput. \n";

	$content = "";
	@AllHTMLLines = "";

	@AllHTMLLines = readline(*FILE);

	for ($k=0; $k <= scalar(@AllHTMLLines); $k++) {  
		$theLine = $AllHTMLLines[$k];     		
		if (lc($theLine) =~ /doctype html public/){
			$theLine = "";                                 					
		} 

		elsif (lc($theLine) =~ /<html>/){
			$theLine = "<!doctype html public \"-//w3c//dtd html 3.2 final//en\"> \n $theLine";                                      						
		} 
		elsif (lc($theLine) =~ /<head>/){
			$theLine = "$theLine <meta http-equiv=\"Content-Type\" content=\"text/html\"> \n <meta name=\"LEGALINFO\" Content=\"Copyright International Business Machines Corporation 1997, 2004. \n All Rights Reserved. US Government Users Restricted Rights - Use, duplication or disclosure restricted \n by GSA ADP Schedule Contract with IBM Corporation.\"> \n";                                      						
		} 
		elsif ($theLine =~ /<!-- \(C\) Copyright IBM Corporation.*?-->/){
			$theLine =  "<!--  (C) Copyright IBM Corporation. 1997, 2004                       --> \n";                                 					
		}
		elsif (lc($theLine) =~ /<\/head>/){
			$theLine = "\n <link rel=\"stylesheet\" type=\"text/css\" href=\"wbi.css\"> \n $theLine";                                 					
		}
		elsif (lc($theLine) =~ /<hr>.*?/){
			$theLine =~ s/<HR>/<P>/;  
		} 
		elsif (lc($theLine) =~ /images\/ngrelr.gif/){
			$theLine = " <img SRC=\"ngrelr.gif\" width=\"157\" height=\"27\" ALT=\"Related reference\">"; 
		} 

		elsif (lc($theLine) =~ /<\/body>/){  
			$theLine = "<p><a href=\"hglegal_wbia_lr.htm\"><img src=\"ngibmcpy2004.gif\" alt=\"Copyright IBM Corp. 1997, 2004\" border=\"0\"></a></p> \n $theLine";  			
		} 
	
	        $content = "$content $theLine";                                                        											}
	$content;
}


























